Subject: [os2genau_digest] No. 1928
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 9 Feb 2010 00:00:35 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Monday 08 February 2010
 Number  1928
**************************************************

Subjects for today
 
1  Re:  command line mp3 playback ? : Ed Durrant <edurrant at durrant dot mine dot nu>
2  Re:  External drive problem : Alan Duval <amoht at westnet dot com dot au>
3  Re:  External drive problem : Chuck McKinnis <mckinnis at sandia dot net>
4  Re:  External drive problem : Ed Durrant <edurrant at durrant dot mine dot nu>
5  Re:  External drive problem : Alan Duval <amoht at westnet dot com dot au>

**= Email   1 ==========================**

Date:  Mon, 08 Feb 2010 06:48:53 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  command line mp3 playback ?

Voytek Eymont wrote:
> what can I use to command line playback of mp3 ?
>
> I want to set up my voice messages to convert from PMFax wav to mp3 and
> sent to me as emails
>
>
>   
Z player or mplayer operate as commandline players.

-- 
Cheers/2

Ed

eComStationAustralia podcast http://eComStationAustralia.podbean dot com or iTunes

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Mon, 08 Feb 2010 09:30:02 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  External drive problem

Ed Durrant wrote:

Hi Alan,
>
>    I wonder if part of the problem was that you had the FAT32 
> partition not at the beginning ? I know FAT32 can be a problem if it 
> starts after cylinder 1024 some times. Since you now used NTFS in 
> place of FAT32, if that was the problem its now gone away.
>
> As for cloning partitions from SATA to IDE - if it's a data partition 
> it wont be a problem. If its an eCS boot partition, just make sure you 
> have the correct disk drivers loaded before you clone (i.e. the latest 
> Dani drivers) - if it's a Windows partition you are cloning, it's 
> security checks to see you aren't stealing windows may cause a problem.
Hi Ed,

It looks like you are right. If I copy to the FAT32 partitions, the next 
time I plug in the external hard drive it can't be seen. It seems like 
the only way it is consistently seen is if I format it as a primary NTFS 
partition but of course I then can't copy to it from eCS and can only 
read or copy from it. I have tried to make a primary HPFS on it but the 
screen doesn't get past the flashing cursor after I enter the commands. 
WIN XP won't allow formatting it as a primary partition with the FAT32 
file system. Looks like the external hard drive is rather useless for eCS.

Regards,

Alan
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Sun, 07 Feb 2010 15:44:58 -0700
From:  Chuck McKinnis <mckinnis at sandia dot net>
Subject:  Re:  External drive problem

Alan Duval wrote:
> Ed Durrant wrote:
> 
> Hi Alan,
>>
>>    I wonder if part of the problem was that you had the FAT32 
>> partition not at the beginning ? I know FAT32 can be a problem if it 
>> starts after cylinder 1024 some times. Since you now used NTFS in 
>> place of FAT32, if that was the problem its now gone away.
>>
>> As for cloning partitions from SATA to IDE - if it's a data partition 
>> it wont be a problem. If its an eCS boot partition, just make sure you 
>> have the correct disk drivers loaded before you clone (i.e. the latest 
>> Dani drivers) - if it's a Windows partition you are cloning, it's 
>> security checks to see you aren't stealing windows may cause a problem.
> Hi Ed,
> 
> It looks like you are right. If I copy to the FAT32 partitions, the next 
> time I plug in the external hard drive it can't be seen. It seems like 
> the only way it is consistently seen is if I format it as a primary NTFS 
> partition but of course I then can't copy to it from eCS and can only 
> read or copy from it. I have tried to make a primary HPFS on it but the 
> screen doesn't get past the flashing cursor after I enter the commands. 
> WIN XP won't allow formatting it as a primary partition with the FAT32 
> file system. Looks like the external hard drive is rather useless for eCS.
> 
> Regards,
> 
> Alan

You may find that things work better if you use DFSee and make all of 
the partitions primary.  This will limit you to 4 partitions, but I 
don't see that as a real problem.  Make sure that it is set up with LVM 
information.

-- 
Chuck McKinnis
Sandia Park, NM
http://www.7cities dot net/~mckinnis/
Depart from evil, and do good; seek peace, and pursue it. Psalm 34:14

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   4 ==========================**

Date:  Mon, 08 Feb 2010 18:00:05 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  External drive problem

Alan Duval wrote:
> Ed Durrant wrote:
>
> Hi Alan,
>>
>>    I wonder if part of the problem was that you had the FAT32 
>> partition not at the beginning ? I know FAT32 can be a problem if it 
>> starts after cylinder 1024 some times. Since you now used NTFS in 
>> place of FAT32, if that was the problem its now gone away.
>>
>> As for cloning partitions from SATA to IDE - if it's a data partition 
>> it wont be a problem. If its an eCS boot partition, just make sure 
>> you have the correct disk drivers loaded before you clone (i.e. the 
>> latest Dani drivers) - if it's a Windows partition you are cloning, 
>> it's security checks to see you aren't stealing windows may cause a 
>> problem.
> Hi Ed,
>
> It looks like you are right. If I copy to the FAT32 partitions, the 
> next time I plug in the external hard drive it can't be seen. It seems 
> like the only way it is consistently seen is if I format it as a 
> primary NTFS partition but of course I then can't copy to it from eCS 
> and can only read or copy from it. I have tried to make a primary HPFS 
> on it but the screen doesn't get past the flashing cursor after I 
> enter the commands. WIN XP won't allow formatting it as a primary 
> partition with the FAT32 file system. Looks like the external hard 
> drive is rather useless for eCS.
>
> Regards,
>
> Alan
>
Actually this is not a fault of OS/2 (or eComStation) per-SE - it's the 
FAT32 IFS - which is an add-on to the OS from a third party. If that 
could be  fixed (I wonder if there's a netdrive FAT32 plugin - that 
product seems much better in all file systems that it supports) the 
problem would go away.

For now, the  only solution I see for your requirement with the current 
software is to make the first partition on your external drive FAT32.

-- 
Cheers/2

Ed

eComStationAustralia podcast http://eComStationAustralia.podbean dot com or iTunes

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   5 ==========================**

Date:  Mon, 08 Feb 2010 22:06:58 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  External drive problem

Ed Durrant wrote:
> Alan Duval wrote:
>> Ed Durrant wrote:
>>
>> Hi Alan,
>>>
>>>    I wonder if part of the problem was that you had the FAT32 
>>> partition not at the beginning ? I know FAT32 can be a problem if it 
>>> starts after cylinder 1024 some times. Since you now used NTFS in 
>>> place of FAT32, if that was the problem its now gone away.
>>>
>>> As for cloning partitions from SATA to IDE - if it's a data 
>>> partition it wont be a problem. If its an eCS boot partition, just 
>>> make sure you have the correct disk drivers loaded before you clone 
>>> (i.e. the latest Dani drivers) - if it's a Windows partition you are 
>>> cloning, it's security checks to see you aren't stealing windows may 
>>> cause a problem.
>> Hi Ed,
>>
>> It looks like you are right. If I copy to the FAT32 partitions, the 
>> next time I plug in the external hard drive it can't be seen. It 
>> seems like the only way it is consistently seen is if I format it as 
>> a primary NTFS partition but of course I then can't copy to it from 
>> eCS and can only read or copy from it. I have tried to make a primary 
>> HPFS on it but the screen doesn't get past the flashing cursor after 
>> I enter the commands. WIN XP won't allow formatting it as a primary 
>> partition with the FAT32 file system. Looks like the external hard 
>> drive is rather useless for eCS.
>>
>> Regards,
>>
>> Alan
>>
> Actually this is not a fault of OS/2 (or eComStation) per-SE - it's 
> the FAT32 IFS - which is an add-on to the OS from a third party. If 
> that could be  fixed (I wonder if there's a netdrive FAT32 plugin - 
> that product seems much better in all file systems that it supports) 
> the problem would go away.
>
> For now, the  only solution I see for your requirement with the 
> current software is to make the first partition on your external drive 
> FAT32.
I tried Chuck's suggestion. Deleted all partitions on the external drive 
with DFSee then made a primary partition for HPFS with DFSee, then went 
to a command line after rebooting and reattaching the external drive and 
tried to format the partition with HPFS via a command line but it 
doesn't get past 0% no matter how long I wait.

Hence I rebooted with GParted in the CD/DVD drive and used it to delete 
the partition then made three primary 10GB partitions. The first for 
NTFS and the next 2 for FAT32. Rebooted to WIN XP and used WIN XP to 
format the partitions as described.

Then rebooted to eCS, attached the external drive and only the first 
partition (NTFS) was seen. Went to LVM and assigned drive letters to the 
2 FAT32 partitions and eCS could then see all 3.

Ejected the External drive, rebooted and found my MBR had been affected 
so that Grub wasn't detected to allow dual booting and the system just 
booted to eCS.

Plugged in the external drive and it wasn't seen. Used DFSee to restore 
the MBR from an image, unplugged the external HD and rebooted to eCS 
then plugged in the external HD and all 3 partitions were again seen.

Then rebooted without ejecting the external HD and unplugged it as soon 
as the booting started. Once eCS was running I plugged in the External 
HD and the 3 partitions were seen.

So it looks like I should never eject the external drive and only unplug 
it when the PC has stopped.

Regards,

Alan
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===